<template>
    <div class="live-cat">
        <div class="live-cat--header  " v-on:click="toggleList" >
            <img :src="category.icon" alt="">
            <span>{{category.title}}</span>
            <span class="cat-right cat-like">{{category.likes}}</span>
            <span class="cat-right cat-tube">{{category.youtubeWatch}}</span>
        </div>
        <transition name="fade">
            <div class="live-cat--list" v-if="show">
                <live-category-item v-for="(catItem, index) in category.items" :key="index" :liveCategoryItem="catItem"></live-category-item>
            </div>
        </transition>
    </div>
</template>

<script>
    import livecategoryitem from './livecategoryitem'

    export default {
        props: {
            category: Object,
            show: {
                type: Boolean,
                required: false,
                default: false,
            }
        },
        name: "livecategory",
        components: {
            liveCategoryItem: livecategoryitem,
        },
        methods: {
            toggleList: function () {
                this.show = !this.show;
            }
        }
    }
</script>

<style scoped>
    .live-cat {
        border-top-left-radius: 5px;
        border-top-right-radius: 5px;
    }

    .live-cat--header {
        background-image: url(/img/bg-cat.png);
        background-position: center;
        border-bottom: 1px solid #f38608;
        border-radius: 5px;
        display: flex;
        height: 42px;
        align-items: center;
        cursor: pointer;
    }
    .live-cat--header img{
        padding: 0 15px 0 20px;
    }

    .live-cat--header span{
        color: #fff;
        text-transform: uppercase;
        font-size: 14px;
    }

    .live-cat--header span.cat-right{
        color: #000;
        margin: 0px 5px;
        font-size: 14px;
        background-color: #fff;
        height: 20px;
        display: flex;
        align-items: center;
        justify-content: center;
        padding: 0 5px;
        font-weight: 600;
        border-radius: 3px;
    }
    .live-cat--header span.cat-like{
        margin-left: auto;
        min-width: 20px;
    }
    .cat-tube {
        min-width: 42px;
    }
    .cat-tube:after {
        content: url("/img/little-tube.png");
        margin-bottom: -2px;
        margin-left: 4px;

    }

    .live-cat--list {
        background-color: #fff;

    }

</style>
